#
# spec file for package python-importlab
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
# python36-networkx no longer exists in Tumbleweed (due to SciPy following NEP 29)
%define         skip_python36 1
Name:           python-importlab
Version:        0.8.1
Release:        1.5
Summary:        A library to calculate python dependency graphs
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/google/importlab
Source:         https://files.pythonhosted.org/packages/source/i/importlab/importlab-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-networkx
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module networkx}
# /SECTION
%python_subpackages

%description
A library to calculate python dependency graphs.

%prep
%setup -q -n importlab-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/importlab
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative importlab

%postun
%python_uninstall_alternative importlab

%files %{python_files}
%doc CHANGELOG README.rst
%license LICENSE
%python_alternative %{_bindir}/importlab
%{python_sitelib}/*

%changelog
* Thu Dec  7 2023 Dirk Müller <dmueller@suse.com>
- update to 0.8.1:
  * Filter out self-edges from the graph.
* Fri Oct 28 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update Version 0.8 (2022-09-22)
  * Add --version to bin importlab.
  * Use ImportStatement.source to impove import resolution.
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update Version 0.7 (2022-01-07)
  * Fix path resolution for case-insensitive filesystems.
- Update Version 0.6.1 (2021-01-14)
  * Include .so files in the dependency graph.
  * Drop support for running under Python 2 and modernize the code.
  * MANIFEST.in: Add tests to sdist
* Sat Feb 13 2021 Benjamin Greiner <code@bnavigator.de>
- Skip python36 build: No python36-networkx anymore due to SciPy
  following NEP 29.
* Mon May 25 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Mon Jan  6 2020 Todd R <toddrme2178@gmail.com>
- Drop python2 package due to dependencies dropping python2.
* Wed Sep 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.5.1:
  * FIX: Correct a broken import
* Wed Feb 27 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.5
